/*************************************************************************

PROJECT:		CS 297 Deliverable 1

FILE:			BitInterface.java

PURPOSE:		Interface that lists the methods we allow for the BitInterface.

COMPILER:		Java 1.4.2

PROGRAMMER:		Aarathi Raghu

START DATE:		6/05/2005

COMMENTS:		

*************************************************************************/


import java.util.*;

interface BitInterface 
{
	//number of bits set 
	abstract public int cardinality();
	
	//"and" operation between 2 BitInterfaces
	abstract public void and(BitInterface b);
	
	//sets the specified bit
	abstract public void set(int num);
	
	//gets the specified bit
	abstract public int get(int num);
	
	//clears all the bits
	abstract public void clearAll();
	
	//clears the specified bit
	abstract public void clear(int num);
	
	// return the index of the highest bit that is set
	abstract public int maxBitSet();
}
